> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/knowledgebase/articles/delete.md).

# Delete Article

## Delete Article

<mark style="color:red;">`DELETE`</mark> `https://{{account_id}}.acquire.io/api/v1/kb/article/delete/{{articleId}}?groupId={{groupdId}}`

Delete an article. The id must be passed in the endpoint as a path parameter. The groupId must be passed in the endpoint as a query parameter. Warning: This action cannot be undone.

#### Path Parameters

| Name      | Type    | Description  |
| --------- | ------- | ------------ |
| articleId | integer | Article's ID |

#### Query Parameters

| Name    | Type    | Description                       |
| ------- | ------- | --------------------------------- |
| groupId | integer | The group the article belongs to. |

#### Headers

| Name          | Type   | Description                                                    |
| ------------- | ------ | -------------------------------------------------------------- |
| Authorization | string | Authentication token to track down who is emptying our stocks. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
//Archived
{
  "data": {
    "success": true,
    "message": "Article Successfully Archived.",
    "data": {
      "id": 1646
    }
  }
}

//Deleted
{
  "data": {
    "success": true,
    "message": "Article Successfully Deleted.",
    "data": {
      "id": 1647
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/articles/delete.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
